Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.MutexSystemStats Method (Boolean)
DatabaseEnvironment Class See Also Send Feedback

The mutex subsystem statistics

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public MutexStats MutexSystemStats(
    	bool clearStats
    )

Visual Basic (Declaration)
    Public Function MutexSystemStats ( _
    	clearStats As Boolean _
    ) As MutexStats

Visual C++
    public:
    MutexStats^ MutexSystemStats(
    	bool clearStats
    )

#### Parameters

clearStats
  Type: System..::.Boolean
  If true, reset statistics after returning their values.

#### Return Value

The mutex subsystem statistics

# See Also

DatabaseEnvironment Class
MutexSystemStats Overload
BerkeleyDB Namespace